<?php
# NOTE: The code to run this page directly was more or less completely copied 
# from the code in sidebar_serach.php.

# Determine if blogconfig.php has already been loaded.  
# If not, we will need to compensate for this.
$files = get_included_files();
foreach ($files as $f) {
	if (strstr($f, "blogconfig.php")) {
		$files = true;
		break;
	}
}

# If we haven't loaded blogconfig.php, i.e. if this page has been called directly,
# then we have to take care of that.  We set the INSTALL_ROOT (since we can be sure
# that it is the parent of the current directory), adjust the include_path, and 
# then include blogconfig.php to do the rest.
$do_output = false;
if ($files !== true) {
	session_start();
	$instdir = dirname(getcwd());
	define("INSTALL_ROOT", $instdir);
	if (! defined("PATH_SEPARATOR") ) 
		define("PATH_SEPARATOR", strtoupper(substr(PHP_OS,0,3)=='WIN')?';':':');
	ini_set("include_path", ini_get("include_path").PATH_SEPARATOR.$instdir);
	require_once("blogconfig.php");
	if (isset($_GET["show"]) && $_GET["show"] == "sb_search_results") {
		$do_output = true;
	}
}

# Add this really massive if statements to that we don't end up declaring the 
# same class twice, i.e. if the page is called directly, this class will be defined 
# when it first loads and then again when the plugins are loaded.
if (! class_exists("SidebarPoll")) {  # Start massive if statement

	require_once("lib/iniparser.php");
	
	class SidebarPoll extends Plugin {
		
		function SidebarPoll() {
			$blog = NewBlog();
			$this->plugin_desc = _("Add a sidebar section to display a poll.");
			$this->plugin_version = "0.1.0";
			$this->blog_path = 
			$this->addOption("caption", _("Caption for poll panel"), _("Poll"));
			$this->getConfig();
		}
		
		function show_list() { 
			$blog = NewBlog();
			$page = NewPage(&$blog);
			$LINK_LIST = $this->find_entries();
			if (! count($LINK_LIST)) $LINK_LIST = false;

			$tpl = NewTemplate(LIST_TEMPLATE);
			if (! $LINK_LIST) {
				$tpl->set("LIST_TITLE", _("No polls found."));
				$tpl->set("ITEM_LIST", array(_("No posts matched")));
			} elseif (isset($_POST["sb_search_terms"]) && trim($_POST["sb_search_terms"])) {
				$tpl->set("LIST_TITLE", 
				          spf_('Search results for "%s"', $_POST["sb_search_terms"]));
				$tpl->set("LINK_LIST", $LINK_LIST);
			} else {
				$tpl->set("LIST_TITLE", 
				          spf_('No search terms'));
				$tpl->set("LINK_LIST", $LINK_LIST);
			}

			$body = $tpl->process();

			$page->title = spf_("Search results - ", $blog->name);
			$page->display($body, &$blog);
		}
	}

} # End massive if statement

$sbpoll = new SidebarPoll();
if ($do_output) {
	$sbpoll->show_page();
} else {
	$sbpoll->registerEventHandler("sidebar", "OnOutput", "sidebar_poll");
}

?>
